# Uses of Interface
net.shibboleth.idp.attribute.resolver.dc.http.HTTPSearch

Packages that use HTTPSearch
Package
Description
net.shibboleth.idp.attribute.resolver.dc.http.impl
A `DataConnector` implementation that reads data from an HTTP web service.

## Uses of HTTPSearch in net.shibboleth.idp.attribute.resolver.dc.http.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.http.impl that return HTTPSearch
Modifier and Type
Method
Description
`HTTPSearch`
AbstractHTTPSearchBuilder.`build(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Creates an executable search that can be executed against a data source in order to produce results.
Methods in net.shibboleth.idp.attribute.resolver.dc.http.impl with parameters of type HTTPSearch
Modifier and Type
Method
Description
`protected Map<String,IdPAttribute>`
HTTPDataConnector.`retrieveAttributes(HTTPSearch executable)`
Attempts to retrieve attributes from the data source.